'use strict';

var packagePath = __dirname + '/../../package.json';

var gulp = require('gulp');
var path = require('path');
var $ = require('gulp-load-plugins')({config: path.normalize(packagePath)});

var config = {
    name: 'image:minify',
    callback: minify
};

module.exports = config;

/////////////////////////////

function minify(settings, done) {
    return gulp.src(settings.src)
        .pipe($.imagemin({
            progressive: true,
            interlaced: true
        }))
        .pipe(gulp.dest(settings.path.build))
        .pipe($.size({title: 'image:minify'}));
}
