'use strict';

var config = {
    name: 'less',
    description: 'Compile and copy styles to build folder',

    bundle: ['build'],

    sequence: [
        'less:copy',
        'less:compile',
        'less:bundle'
    ],

    settings: {
        compile: './src/assets/less/project.less',
        src: './src/assets/less/**/*',
        bundle: [],

        path: {
            css: './build/assets/css',
            less: './build/assets/less'
        }
    }
};

module.exports = config;
