'use strict';

var packagePath = __dirname + '/../../package.json';

var gulp = require('gulp');
var path = require('path');
var $ = require('gulp-load-plugins')({config: path.normalize(packagePath)});

var config = {
    name: 'scripts:ng-directives',
    config: 'angular',
    callback: directives
};

module.exports = config;

/////////////////////////////

// Directives template change
function directives(settings, done) {
    return gulp.src( settings.path.tmp + '/**/directives/*.js')
        .pipe($.directiveReplace(settings.minify))
        .pipe(gulp.dest(settings.path.tmp))
        .pipe($.size({title: 'scripts:directives'}));
}
