# Gulp tasks

Neoway's reusable gulp tasks.

## Installation

```
npm install nw-gulp-tasks
```

## Usage

You need import this module and call constructor method with tasks you want enable. Each task have specific options, but have some globals options.

Example of standart call:

```
var gulp = require('nw-gulp-tasks')({

    // Global vars
    name: 'your-project-slug-name',

    anyGlobalVars: {
        var1: 'ok'
    },
    
    // Tasks
    less: {
        // options here
    },

    scripts: {
        //options here
    }
 
});
```

### Subtasks

Some tasks files can have many subtasks. Maybe you need enable or disable only some subtasks.

Enable/Disable subtasks:

```
 scripts: {
    jshint: false
 }
```
- This disable "scripts:jshint" subtask only

