'use strict';

var gulp = require('gulp-tasks-loader')({

    // Global configs
    name: 'nw-gulp-tasks',

    paths: {
        src: './tasks',
        reports: './reports'
    },

    // Bundles - no config
    build: true,
    ci: true,

    // Tasks with config and subtasks
    scripts: {
        build: false,
        angular: false,
        test: false,
        jshint: true,
        quality: true,

        src: '${paths.src}/**/*.js',
    },

    quality: {
        src: '${scripts.src}',
        path: '${paths.reports}/quality'
    },

    release: {
        bump: {
            src: 'package.json'
        }
    }
});
