'use strict';

var packagePath = __dirname + '/../../package.json';

var gulp = require('gulp');
var fs = require('fs');
var path = require('path');
var plato = require('plato');
var $ = require('gulp-load-plugins')({config: path.normalize(packagePath)});

var config = {
    name: 'quality:report',
    description: 'Generate a code quality report',
    callback: callback
};

module.exports = config;

/////////////////////////////

function callback(settings, done) {
    var options = {};

    var jshint = (fs.existsSync('./.jshintrc'))
        ? fs.readFileSync('./.jshintrc', 'utf8')
        : false;

    if (jshint) {
       options.jshint = JSON.parse(jshint);
    }

    var callback = function() {
        done();
    };

    plato.inspect(settings.src, settings.path, options, callback);
}
