'use strict';

var packagePath = __dirname + '/../../package.json';

var gulp = require('gulp');
var path = require('path');
var $ = require('gulp-load-plugins')({config: path.normalize(packagePath)});

var config = {
    name: 'release:rebase',
    callback: callback
};

module.exports = config;

/////////////////////////////

function callback(settings, done) {
    return gulp.src('./')
        .pipe($.shell('git checkout master'))
        .pipe($.shell('git merge develop'))
        .pipe($.shell('git checkout develop'))
        .pipe($.shell('git push origin --all'))
        .pipe($.size({title: 'release:rebase'}));
}
