'use strict';

var packagePath = __dirname + '/../../package.json';

var gulp = require('gulp');
var path = require('path');
var argv = require('yargs').argv;
var $ = require('gulp-load-plugins')({config: path.normalize(packagePath)});

var config = {
    name: 'release:tag',
    callback: callback
};

module.exports = config;

/////////////////////////////

function callback(settings, done) {
    return gulp.src('./')
        .pipe($.shell('git tag v' + argv.v))
        .pipe($.shell('git push origin --tags'))
        .pipe($.size({title: 'release:tag'}));
}
