'use strict';

var config = {
    name: 'sass',
    description: 'Compile and copy styles to build folder',

    bundle: ['build'],

    sequence: [
        'sass:copy',
        'sass:compile',
        'sass:bundle'
    ],

    settings: {
        compile: './src/assets/sass/project.sass',
        src: './src/assets/sass/**/*',
        bundle: [],

        path: {
            css: '/assets/css',
            sass: '/assets/sass'
        }
    }
};

module.exports = config;
